package project;

import project.scenes.GameScene;
import project.utils.Statistics;
import pi.Controller;
import pi.config.ConfigLoader;

import java.awt.Cursor;
import java.awt.Point;
import java.awt.Toolkit;

public class Main
{
    public static ConfigLoader CONFIG;
    public static int WINDOW_WIDTH = 1000;
    public static int WINDOW_HEIGHT = 600;

    static {
        CONFIG = new ConfigLoader("kebab.properties", new Statistics());
        CONFIG.load();
    }
    
    public static void main(String[] args)
    {
        Controller.instantMode(false);
        Controller.title("Royal Kebab");
        Controller.start(new GameScene(), WINDOW_WIDTH, WINDOW_HEIGHT);
 
        try {
            Cursor customCursor = Toolkit.getDefaultToolkit().createCustomCursor(
                Controller.images.get("images/pixui-pack/Misc/Cursor.png").getScaledInstance(25, 25, 0),
                new Point(0, 0), // Hotspot (Klickpunkt)
                "PixUI cursor"
            );
            Controller.frame().setCursor(customCursor);
        } catch (Exception e) {
            e.printStackTrace();
        }
    }
}
